Page MenuHomeFreeBSD

Add quirk for Thunder ITS GITS_BASER
ClosedPublic

Authored by zbb on Jul 20 2015, 5:12 AM.

Details

Summary

Thunder HW allows up to 0xFD pages in GITS_BASER[7:0] (size) field.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

wma_semihalf.com retitled this revision from to Add quirk for Thunder ITS GITS_BASER.
wma_semihalf.com updated this object.
wma_semihalf.com edited the test plan for this revision. (Show Details)
wma_semihalf.com added reviewers: andrew, zbb, emaste.
wma_semihalf.com set the repository for this revision to rS FreeBSD src repository.

Modified revision to sync with the Linux version of this quirk.

zbb accepted this revision.Jul 24 2015, 12:29 PM
zbb edited edge metadata.
zbb added inline comments.
sys/arm64/arm64/gic_v3_its.c
1375

Should be for bootverbose only.

This revision is now accepted and ready to land.Jul 24 2015, 12:29 PM
andrew added inline comments.Jul 27 2015, 9:18 PM
sys/arm64/arm64/gic_v3_its.c
135–136

This should have a comment explaining why it's needed.

andrew added inline comments.Jul 27 2015, 11:03 PM
sys/arm64/arm64/gic_v3_its.c
1377–1378

How is 13 bits 20MB?

zbb commandeered this revision.Jul 28 2015, 11:33 AM
zbb edited reviewers, added: wma_semihalf.com; removed: zbb.
This revision now requires review to proceed.Jul 28 2015, 11:33 AM
zbb updated this revision to Diff 7430.Jul 28 2015, 11:34 AM
zbb removed rS FreeBSD src repository as the repository for this revision.
zbb marked 3 inline comments as done.

I took over this revision. The patch should now contain proper numbers and detailed explanation.
Please comment or accept asap ;-)

wma_semihalf.com edited edge metadata.
This revision is now accepted and ready to land.Jul 28 2015, 12:04 PM
This revision was automatically updated to reflect the committed changes.